> For the complete documentation index, see [llms.txt](https://docs.wproofreader.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wproofreader.com/v6.11.1/api-reference/user-custom-dictionary-api.md).

# User custom dictionary API

Use the User Dictionary API to manage [**end-user wordlists**](broken://pages/wUtvaCTReVmwdJNgIrJ9).

Words in a user dictionary are treated as **correct** during spellcheck.

### What you can do

* Create and delete dictionaries.
* Add, delete, and edit words.
* Rename dictionaries.
* Check dictionary availability.
* Fetch a dictionary wordlist.
* Replace a dictionary wordlist.

### When to use this vs custom Dictionary

Use **User dictionary** when the wordlist is:

* Owned by an end user
* Mutable at runtime
* Not tied to a language

Use [Custom dictionary API](/v6.11.1/api-reference/custom-dictionary-api.md) when the wordlist is:

* Owned by your organization
* Shared across many users
* Managed by admins

### Naming rules and limits

Dictionary name rules:

* Max **50** characters
* Use **Latin letters**, **digits**, and **underscores**

Word rules:

* Max **63** characters per word
* No spaces or punctuation

{% hint style="info" %}
Dictionary size is limited. One dictionary is capped at **50 KB** (about **10k words**).
{% endhint %}

### Actions

<table data-view="cards"><thead><tr><th>Action</th><th data-type="content-ref">Docs</th></tr></thead><tbody><tr><td>Create dictionary</td><td><a href="/pages/8COuMoMaaTzxn90HYyIo">/pages/8COuMoMaaTzxn90HYyIo</a></td></tr><tr><td>Delete dictionary</td><td><a href="/pages/MdyHWy0yi5d1guCIlo7R">/pages/MdyHWy0yi5d1guCIlo7R</a></td></tr><tr><td>Rename dictionary</td><td><a href="/pages/XasriIrwbWqMzJaDnu5d">/pages/XasriIrwbWqMzJaDnu5d</a></td></tr><tr><td>Check dictionary</td><td><a href="/pages/7mXlnjHhqaRS125gEkQI">/pages/7mXlnjHhqaRS125gEkQI</a></td></tr><tr><td>Add word(s)</td><td><a href="/pages/rp6R38QDI8RmdfNmMudL">/pages/rp6R38QDI8RmdfNmMudL</a></td></tr><tr><td>Delete word(s)</td><td><a href="/pages/96mMFC6saNKOV9hJpJhR">/pages/96mMFC6saNKOV9hJpJhR</a></td></tr><tr><td>Edit word</td><td><a href="/pages/ibX25pQsrdsxbThFwgqi">/pages/ibX25pQsrdsxbThFwgqi</a></td></tr><tr><td>Get dictionary content</td><td><a href="/pages/yRMs17Pv0srYqnor3Jxo">/pages/yRMs17Pv0srYqnor3Jxo</a></td></tr><tr><td>Replace dictionary content</td><td><a href="/pages/8zlKJfckNGjFK8LeEoL0">/pages/8zlKJfckNGjFK8LeEoL0</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wproofreader.com/v6.11.1/api-reference/user-custom-dictionary-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
